# Conditionals to help breaking org.apache.felix.scr.generator <-> org.apache.felix.scr.annotations dependency cycle
%bcond_with annotations

%global project   felix
%global bundle    org.apache.felix.scr.generator

Name:          felix-scr-generator
Version:       1.13.0
Release:       %mkrel 5
Group:         Development/Java
Summary:       Descriptor Generator Implementation
License:       ASL 2.0
URL:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
%if %{without annotations}
BuildRequires: mvn(org.apache.felix:org.apache.felix.scr.annotations)
%endif
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)
BuildRequires: mvn(org.ow2.asm:asm-all)

BuildArch:     noarch

%description
Provides the implementation to generate Declarative Services and Metatype
Service descriptors from Java 5 Annotations and/or JavaDoc tags.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} %{project}/%{bundle}

%build

%mvn_build \
%if %{with annotations}
# tests skipped for circular dependency with org.apache.felix.scr.annotations
 -f \
%endif
 -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.13.0-5.mga6
+ Revision: 982089
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.13.0-4.mga6
+ Revision: 976233
- First rebuild of the java stack
- sync package felix-scr-generator with fedora


* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 1.8.2-1
- update to 1.8.2

* Thu Aug 29 2013 gil cattaneo <puntogil@libero.it> 1.8.0-1
- update to 1.8.0

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 1.7.0-1
- update to 1.7.0

* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 1.5.0-1
- update to 1.5.0

* Mon Jan 21 2013 gil cattaneo <puntogil@libero.it> 1.3.0-1
- initial rpm
